Hi - I'm trying to install AMP (apache, MySQL, php) on hard drive so as to use wordpress locally. OS is vista.

I already had APACHE vers 2.2.11.0 (latest is 2.2.14) installed and PHP vers 5.2.6.0 installed (latest is 5.2.12 and 5.3.1).

So I've just installed MySQL Essential vers 5.1.42 and phpMyAdmin 3.2.5 (both are latest versions).

When I go to: http://localhost/phpMyAdmin/index.php

It displays the phpMyAdmin front page ok, but I also get these error messages at the bottom of the page:

------------
- The additional features for working with linked tables have been deactivated. To find out why click here.

- Cannot load mcrypt extension. Please check your PHP configuration.

- The configuration file now needs a secret passphrase (blowfish_secret).

- Your PHP MySQL library version 5.0.51a differs from your MySQL server version 5.1.42. This may cause unpredictable behavior.
------------

And this is the reason given for not working with linked tables:

------------
Server: localhost
$cfg['Servers'][$i]['pmadb'] ... not OK [ Documentation ]
$cfg['Servers'][$i]['relation'] ... not OK [ Documentation ]
General relation features: Disabled

$cfg['Servers'][$i]['table_info'] ... not OK [ Documentation ]
Display Features: Disabled

$cfg['Servers'][$i]['table_coords'] ... not OK [ Documentation ]
$cfg['Servers'][$i]['pdf_pages'] ... not OK [ Documentation ]
Creation of PDFs: Disabled

$cfg['Servers'][$i]['column_info'] ... not OK [ Documentation ]
Displaying Column Comments: Disabled
Browser transformation: Disabled

$cfg['Servers'][$i]['bookmarktable'] ... not OK [ Documentation ]
Bookmarked SQL query: Disabled

$cfg['Servers'][$i]['history'] ... not OK [ Documentation ]
SQL history: Disabled

$cfg['Servers'][$i]['designer_coords'] ... not OK [ Documentation ]
Designer: Disabled
------------

I followed every step in the book I bought here - "PHP Solutions" by David Powers - to install AMP. I stored my personal details in config.inc.php in the main phpMyAdmin folder as follows:

<?php
$i = 1;
$cfg['Servers'][$i]['extension'] = 'mysqli';
$cfg['Servers'][$i]['password'] = 'my_pswd';
?>

Am I good to go to install wordperfect? Or do I need to fix any of the above errors, and if so, please does anyone know how?

thank you! - Val